    Two-dimensional uniform disk model.

disk2d

Two-dimensional step function model consisting of a uniform intensity disk.

>>> create_model_component("disk2d", "mdl")
>>> print(mdl)

Create a component of the disk2d model and display its default parameters. The output is:

mdl Param Type Value Min Max Units ----- ---- ----- --- --- ----- mdl.xpos thawed 0 -3.40282e+38 3.40282e+38 mdl.ypos thawed 0 -3.40282e+38 3.40282e+38 mdl.ampl thawed 1 -3.40282e+38 3.40282e+38 mdl.r0 thawed 1 0 3.40282e+38

ATTRIBUTES

The attributes for this object are:

Attribute
Definition
xpos
The center of the disk on the x0 axis.
ypos
The center of the disk on the x1 axis.
ampl
The amplitude of the signal within the disk.
r0
The radius of the disk.

Notes

The functional form of the model for points is:

f(x0,x1) = ampl if (x0 - xpos)^2 + (x1 - ypos)^2 <= r0^2

= 0 otherwise

For grids, the x0lo,x1lo values are used in the above equation.

This model was provided by Christoph Deil.

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023